com.pivotal.gemfirexd.internal.client.net

## Class NetXAConnectionRequest

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Request
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageRequest
      - - com.pivotal.gemfirexd.internal.client.net.NetStatementRequest
        - - com.pivotal.gemfirexd.internal.client.net.NetResultSetRequest
          - - com.pivotal.gemfirexd.internal.client.net.NetXAConnectionRequest

All Implemented Interfaces:
  ConnectionRequestInterface, ResultSetRequestInterface, StatementRequestInterface

    public class NetXAConnectionRequest
    extends NetResultSetRequest

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`bytes_, ccsidManager_, DSS_CONTINUATION_LEN, dssLengthLocation_, netAgent_, offset_, passwordIncluded_, passwordLength_, passwordStart_`

### Method Summary

Methods
`void` `writeForget(int codepoint, int value)`
`void` `writeLocalXACommit(NetConnection conn)`
`void` `writeLocalXARollback(NetConnection conn)`
`void` `writeReleaseConversation(int codepoint, int value)`
`void` `writeSYNCType(int codepoint, int syncType)`
`protected void` `writeXaCommit(NetConnection conn, Xid xid)`
`void` `writeXaEndUnitOfWork(NetConnection conn)`
`protected void` `writeXaForget(NetConnection conn, Xid xid)`
`protected void` `writeXaPrepare(NetConnection conn)`
`protected void` `writeXaRecover(NetConnection conn, int flag)`
`protected void` `writeXaRollback(NetConnection conn, Xid xid)`
`void` `writeXaStartUnitOfWork(NetConnection conn)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetResultSetRequest

`writeCursorClose, writeFetch, writePositioningFetch, writeScrollableFetch`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatementRequest

`buildOUTOVR, buildSQLCADTA, buildSQLDTA, buildSQLDTAGRP, buildSQLDTARD, writeDescribeInput, writeDescribeOutput, writeExecute, writeExecute, writeExecuteCall, writeExecuteImmediate, writeGetStmtUUID, writeOpenQuery, writeOpenQuery, writePrepare, writePrepareDescribeOutput, writeSetSpecialRegister`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPackageRequest

`buildSQLATTRcommandData, buildSQLSTTcommandData, encryptDataStream`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest

`writeCommitSubstitute, writeLocalCommit, writeLocalRollback, writeLocalXAStart`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`calculateExtendedLengthByteCount, clearBuffer, createCommand, createXACommand, doesRequestContainData, ensureLength, finalizeDssLength, finalizePreviousChainedDss, flush, flushExistingDSS, flushScalarStreamSegment, flushScalarStreamSegment, mark, markForCachingPKGNAMCSN, markLengthBytes, padScalarStreamForError, popMark, popMarkForCachingPKGNAMCSN, prepScalarStream, sendBytes, setCorrelationID, setDssLengthLocation, updateLengthBytes, writeDouble, writeFloat, writeIntFdocaData, writeLongFdocaData, writeScalar1Byte, writeScalar4Bytes, writeShortFdocaData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeLocalXACommit

    public void writeLocalXACommit(NetConnection conn)
                            throws SqlException

Specified by:
  `writeLocalXACommit` in interface `ConnectionRequestInterface`
Overrides:
  `writeLocalXACommit` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeLocalXARollback

    public void writeLocalXARollback(NetConnection conn)
                              throws SqlException

Specified by:
  `writeLocalXARollback` in interface `ConnectionRequestInterface`
Overrides:
  `writeLocalXARollback` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaStartUnitOfWork

    public void writeXaStartUnitOfWork(NetConnection conn)
                                throws SqlException

Overrides:
  `writeXaStartUnitOfWork` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaEndUnitOfWork

    public void writeXaEndUnitOfWork(NetConnection conn)
                              throws SqlException

Overrides:
  `writeXaEndUnitOfWork` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaPrepare

    protected void writeXaPrepare(NetConnection conn)
                           throws SqlException

Overrides:
  `writeXaPrepare` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaCommit

    protected void writeXaCommit(NetConnection conn,
                     Xid xid)
                          throws SqlException

Overrides:
  `writeXaCommit` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaRollback

    protected void writeXaRollback(NetConnection conn,
                       Xid xid)
                            throws SqlException

Overrides:
  `writeXaRollback` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaRecover

    protected void writeXaRecover(NetConnection conn,
                      int flag)
                           throws SqlException

Overrides:
  `writeXaRecover` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeXaForget

    protected void writeXaForget(NetConnection conn,
                     Xid xid)
                          throws SqlException

Overrides:
  `writeXaForget` in class `NetConnectionRequest`
Throws:
  `SqlException`

#### writeSYNCType

    public void writeSYNCType(int codepoint,
                     int syncType)

Overrides:
  `writeSYNCType` in class `NetConnectionRequest`

#### writeForget

    public void writeForget(int codepoint,
                   int value)

Overrides:
  `writeForget` in class `NetConnectionRequest`

#### writeReleaseConversation

    public void writeReleaseConversation(int codepoint,
                                int value)

Overrides:
  `writeReleaseConversation` in class `NetConnectionRequest`